Vantaj

Status Pages

List status pages

Get a paginated list of status pages in a project.

GEThttps://api.vantaj.co/v1/status-pages

Requires an API key with the status_pages:read scope.

Authorizations

Authorizationstringheaderrequired

Bearer authentication using your API key: Authorization: Bearer <token>

Query parameters

project_idstring<uuid>required

Project to list status pages from.

limitinteger

Page size (1–100).

Default:25
cursorstring

Opaque cursor from a previous response's next_cursor.

List status pages
cURL
curl --request GET \
  --url 'https://api.vantaj.co/v1/status-pages?project_id=<project_id>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d",
      "name": "Acme Status",
      "slug": "acme",
      "is_public": true,
      "description": "Live status of Acme services.",
      "accent_color": "#2563eb",
      "show_powered_by": true,
      "show_history": true,
      "history_days": 90,
      "rss_enabled": false,
      "subscribe_enabled": true,
      "custom_domain": "status.acme.com",
      "sections": [
        {
          "id": "sec_1",
          "title": "Core",
          "monitor_ids": [
            "d290f1ee-6c54-4b01-90e6-d701748f0851"
          ]
        }
      ],
      "project_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
      "created_at": "2026-01-15T10:30:00Z",
      "updated_at": "2026-06-01T08:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}